/*
 * This file is part of Deliantra, the Roguelike Realtime MMORPG.
 * 
 * Copyright (©) 2005,2006,2007,2008 Marc Alexander Lehmann / Robin Redeker / the Deliantra team
 * Copyright (©) 2002,2007 Mark Wedel & Crossfire Development Team
 * Copyright (©) 1992,2007 Frank Tore Johansen
 * 
 * Deliantra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * The authors can be reached via e-mail to <support@deliantra.net>
 */

#ifndef PATH_H
#define PATH_H

/**
 * Combine two paths and return the combined path. The result value is a static
 * buffer; it is valid until the next call to this function.
 */
char *path_combine(const char *src, const char *dst);

/**
 * Normalize a path; the passed in path is modified in-place.
 */
void path_normalize(char *path);

/**
 * Combine two paths and normalize the result. The result is a static buffer;
 * it is valid until the next call to either this function or to
 * combine_path().
 */
char *path_combine_and_normalize(const char *src, const char *dst);

#endif
